<template>
  <div
    class="flex flex-col w-full h-screen overflow-hidden bg-slate-400 dark:bg-slate-800 dark:text-slate-200"
  >
    <header class="w-full h-16 bg-green-500 dark:bg-green-900 dark:text-slate-200">
      <UpperMenu></UpperMenu>
    </header>
    <main class="flex-grow w-full h-full p-4 mx-auto max-w-7xl">
      <slot />
    </main>
    <footer class="flex items-center justify-center w-full h-16 text-black dark:text-red-600">
      <p class="text-gray-700">My Nuxt App &copy; {{ new Date().getFullYear() }}</p>
    </footer>
  </div>
</template>